# AmazonSendSsmCommandParameters Object

## Description

Parameters for the Amazon Send SSM Command action.

## Properties

### commandParameters

Parameters to send with the SSM command.

Type: Array of [SendSsmCommandParameter](/data-types/sendssmcommandparameter-object.md)

Required: No

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### documentName

Name of the SSM document to send.

Type: `string`

Required: Yes

### instances

List of EC2 instances to which the SSM command will be sent. Required when `instanceIdentificationMethod` is `by-instance-id`.

Type: Array of `string`

Required: Conditional

### instanceNameComparison

Comparison to use when identifying EC2 instances by `Name` tag. Required when `instanceIdentificationMethod` is `by-instance-name-tag`.

Type: [InstanceNameComparison](/data-types/instancenamecomparison-object-1.md) object.

Required: Conditional

### instanceIdentificationMethod

Method of identifying the EC2 instances.

Type: `string`

Valid Values:

* `all-instances`
* `by-instance-id`
* `by-instance-name-tag`
* `by-resource-tag`

Required: Yes

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### resourceTagComparison

Comparison to use when identifying instances by resource tag. Required when `instanceIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### timeoutInSeconds

Timeout for the SSM command. If omitted SSM with timeout after 600 seconds.

Type: `integer`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    
    "instanceIdentificationMethod": "by-instance-id",
    "instances": [
        "i-11111111",
        "i-22222222"
    ],

    "documentName": "AWS-RunShellScript",
    "commandParameters": [
        {
            "parameterName": "commands",
            "values": [
                "yum update"
            ]
        }
    ],

    "timeoutInSeconds": 900
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonsendssmcommandparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
